Main Page Class Hierarchy Compound List File List Compound Members Related Pages

# sc::AccResultInfo Class Reference

This is like ResultInfo but the accuracy with which a result was computed as well as the desired accuracy are stored. More...

`#include <compute.h>`

Inheritance diagram for sc::AccResultInfo:

[legend]
Collaboration diagram for sc::AccResultInfo:

[legend]
List of all members.

## Public Methods

| AccResultInfo (Compute *c)
| ~AccResultInfo ()
double | actual_accuracy () const
double | desired_accuracy () const
void | set_desired_accuracy (double)
void | set_actual_accuracy (double)
int | computed_to_desired_accuracy () const
int | needed () const

## Protected Methods

| AccResultInfo (StateIn &, Compute *)
| AccResultInfo (const AccResultInfo &, Compute *)
virtual void | save_data_state (StateOut &)
virtual void | restore_state (StateIn &)
AccResultInfo & | operator= (const AccResultInfo &)
void | update ()

## Detailed Description

This is like ResultInfo but the accuracy with which a result was computed as well as the desired accuracy are stored.

The documentation for this class was generated from the following file:

- compute.h